polygene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From nic...@apache.org
Subject [4/4] polygene-java git commit: Artwork adjustments and website update to new logo.
Date Fri, 13 Apr 2018 00:38:35 GMT
Artwork adjustments and website update to new logo.


Project: http://git-wip-us.apache.org/repos/asf/polygene-java/repo
Commit: http://git-wip-us.apache.org/repos/asf/polygene-java/commit/1adfa573
Tree: http://git-wip-us.apache.org/repos/asf/polygene-java/tree/1adfa573
Diff: http://git-wip-us.apache.org/repos/asf/polygene-java/diff/1adfa573

Branch: refs/heads/develop
Commit: 1adfa57322bd859529d26415fae5321a2aeb03bd
Parents: c76a0bf
Author: niclas <niclas@hedhman.org>
Authored: Fri Apr 13 08:38:13 2018 +0800
Committer: niclas <niclas@hedhman.org>
Committed: Fri Apr 13 08:38:13 2018 +0800

----------------------------------------------------------------------
 artwork/logo-234x137.png                | Bin 0 -> 10228 bytes
 artwork/logo-234x83.png                 | Bin 0 -> 6901 bytes
 artwork/logo-514x300.png                | Bin 0 -> 23424 bytes
 artwork/logo-599x211.png                | Bin 0 -> 18253 bytes
 artwork/logo-flag.png                   | Bin 0 -> 16196 bytes
 artwork/logo.svg                        |  33 ++-
 artwork/pb-polygene-128x128png.png      | Bin 0 -> 11593 bytes
 artwork/pb-polygene-256x256png.png      | Bin 0 -> 25278 bytes
 artwork/pb-polygene-512x512png.png      | Bin 0 -> 52405 bytes
 dependencies.gradle                     | 334 +++++++++++++--------------
 manual/src/docs/website/xsl/chunked.xsl |   2 +-
 11 files changed, 188 insertions(+), 181 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/logo-234x137.png
----------------------------------------------------------------------
diff --git a/artwork/logo-234x137.png b/artwork/logo-234x137.png
new file mode 100644
index 0000000..3fa0268
Binary files /dev/null and b/artwork/logo-234x137.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/logo-234x83.png
----------------------------------------------------------------------
diff --git a/artwork/logo-234x83.png b/artwork/logo-234x83.png
new file mode 100644
index 0000000..349ccae
Binary files /dev/null and b/artwork/logo-234x83.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/logo-514x300.png
----------------------------------------------------------------------
diff --git a/artwork/logo-514x300.png b/artwork/logo-514x300.png
new file mode 100644
index 0000000..3352c18
Binary files /dev/null and b/artwork/logo-514x300.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/logo-599x211.png
----------------------------------------------------------------------
diff --git a/artwork/logo-599x211.png b/artwork/logo-599x211.png
new file mode 100644
index 0000000..01b6b59
Binary files /dev/null and b/artwork/logo-599x211.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/logo-flag.png
----------------------------------------------------------------------
diff --git a/artwork/logo-flag.png b/artwork/logo-flag.png
new file mode 100644
index 0000000..6c8c9eb
Binary files /dev/null and b/artwork/logo-flag.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/logo.svg
----------------------------------------------------------------------
diff --git a/artwork/logo.svg b/artwork/logo.svg
index bd16fd2..26329ed 100644
--- a/artwork/logo.svg
+++ b/artwork/logo.svg
@@ -18,6 +18,7 @@
  *
  *
  -->
+
 <svg
    xmlns:dc="http://purl.org/dc/elements/1.1/"
    xmlns:cc="http://creativecommons.org/ns#"
@@ -36,7 +37,10 @@
    enable-background="new 0 0 612 792"
    xml:space="preserve"
    sodipodi:docname="logo.svg"
-   inkscape:version="0.92.1 r15371"><metadata
+   inkscape:version="0.92.1 r15371"
+   inkscape:export-filename="/home/niclas/dev/polygene/java/artwork/logo-514x300.png"
+   inkscape:export-xdpi="221.71413"
+   inkscape:export-ydpi="221.71413"><metadata
      id="metadata4663"><rdf:RDF><cc:Work
          rdf:about=""><dc:format>image/svg+xml</dc:format><dc:type
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" /><dc:title /></cc:Work></rdf:RDF></metadata><defs
@@ -54,7 +58,7 @@
      id="namedview4659"
      showgrid="false"
      inkscape:zoom="1.0239899"
-     inkscape:cx="173.67447"
+     inkscape:cx="19.864359"
      inkscape:cy="384.28113"
      inkscape:window-x="0"
      inkscape:window-y="0"
@@ -62,17 +66,24 @@
      inkscape:current-layer="g4622" /><g
      id="g4622"><text
        xml:space="preserve"
-       style="font-style:normal;font-weight:normal;font-size:40px;line-height:25px;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;fill:#ed1c24;fill-opacity:1;stroke:none"
-       x="150.01727"
-       y="402.86316"
+       style="font-style:normal;font-weight:normal;font-size:40px;line-height:35.7921257px;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;fill:#ed1c24;fill-opacity:1;stroke:none"
+       x="146.01727"
+       y="382.86316"
        id="text4789"><tspan
          sodipodi:role="line"
-         x="150.01727"
-         y="402.86316"
-         style="font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;font-size:42.66666794px;font-family:Asap;-inkscape-font-specification:'Asap
Bold';fill:#ed1c24;fill-opacity:1"
-         id="tspan4807"><tspan
-   id="tspan4505"
-   style="font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:42.66666794px;font-family:Asap;-inkscape-font-specification:Asap;fill:#969696;fill-opacity:1">Apache</tspan>Polygene</tspan></text>
+         x="146.01727"
+         y="382.86316"
+         style="font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:32px;line-height:35.7921257px;font-family:Asap;-inkscape-font-specification:Asap;fill:#969696;fill-opacity:1"
+         id="tspan4807">A<tspan
+   style="line-height:35.7921257px"
+   id="tspan4101">pache</tspan></tspan><tspan
+         sodipodi:role="line"
+         x="146.01727"
+         y="422.01538"
+         style="font-style:normal;font-variant:normal;font-weight:bold;font-stretch:normal;font-size:42.66666794px;line-height:35.7921257px;font-family:Asap;-inkscape-font-specification:'Asap
Bold';fill:#ed1c24;fill-opacity:1"
+         id="tspan4099"><tspan
+   style="line-height:35.7921257px"
+   id="tspan4103">Polyge</tspan>ne</tspan></text>
 </g><path
      fill-rule="evenodd"
      clip-rule="evenodd"

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/pb-polygene-128x128png.png
----------------------------------------------------------------------
diff --git a/artwork/pb-polygene-128x128png.png b/artwork/pb-polygene-128x128png.png
new file mode 100644
index 0000000..047c9ab
Binary files /dev/null and b/artwork/pb-polygene-128x128png.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/pb-polygene-256x256png.png
----------------------------------------------------------------------
diff --git a/artwork/pb-polygene-256x256png.png b/artwork/pb-polygene-256x256png.png
new file mode 100644
index 0000000..4f3197d
Binary files /dev/null and b/artwork/pb-polygene-256x256png.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/artwork/pb-polygene-512x512png.png
----------------------------------------------------------------------
diff --git a/artwork/pb-polygene-512x512png.png b/artwork/pb-polygene-512x512png.png
new file mode 100644
index 0000000..b753a39
Binary files /dev/null and b/artwork/pb-polygene-512x512png.png differ

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/dependencies.gradle
----------------------------------------------------------------------
diff --git a/dependencies.gradle b/dependencies.gradle
index b4a8c86..b90ab01 100644
--- a/dependencies.gradle
+++ b/dependencies.gradle
@@ -17,17 +17,17 @@
  */
 import org.apache.polygene.gradle.dependencies.DependenciesDeclarationExtension
 
-def dependencies = extensions.getByType( DependenciesDeclarationExtension )
+def dependencies = extensions.getByType(DependenciesDeclarationExtension)
 
 // Gradle version
 dependencies.gradleVersion = '4.2.1'
 
 // Remote repositories
 dependencies.repositoriesUrls << [
-  mavenCentral: "https://repo1.maven.org/maven2/",
-  restlet     : 'https://maven.restlet.com/',
-  clojars     : "https://clojars.org/repo/",
-  oracle      : "http://download.oracle.com/maven/"
+        mavenCentral: "https://repo1.maven.org/maven2/",
+        restlet     : 'https://maven.restlet.com/',
+        clojars     : "https://clojars.org/repo/",
+        oracle      : "http://download.oracle.com/maven/"
 ]
 
 // Core dependencies
@@ -35,11 +35,11 @@ def asmVersion = '5.2'
 def javaxJsonVersion = '1.1'
 def osgiVersion = '4.3.1'
 dependencies.libraries << [
-  asm        : "org.ow2.asm:asm:$asmVersion",
-  asm_commons: "org.ow2.asm:asm-commons:$asmVersion",
-  asm_util   : "org.ow2.asm:asm-util:$asmVersion",
-  javax_json : "javax.json:javax.json-api:$javaxJsonVersion",
-  osgi_core  : "org.osgi:org.osgi.core:$osgiVersion",
+        asm        : "org.ow2.asm:asm:$asmVersion",
+        asm_commons: "org.ow2.asm:asm-commons:$asmVersion",
+        asm_util   : "org.ow2.asm:asm-util:$asmVersion",
+        javax_json : "javax.json:javax.json-api:$javaxJsonVersion",
+        osgi_core  : "org.osgi:org.osgi.core:$osgiVersion",
 ]
 
 // Extensions, Libraries and Tools dependencies
@@ -83,92 +83,92 @@ def springVersion = '4.3.9.RELEASE'
 def spymemcachedVersion = '2.12.3'
 def velocityVersion = '1.7'
 dependencies.libraries << [
-  bdb_je              : "com.sleepycat:je:$bdbjeVersion",
-  bonecp              : "com.jolbox:bonecp:$bonecpVersion",
-  bouncy_castle       : [
-          "org.bouncycastle:bcprov-jdk15on:$bouncyVersion",
-          "org.bouncycastle:bcpkix-jdk15on:$bouncyVersion",
-          "org.bouncycastle:bctls-jdk15on:$bouncyVersion"
-  ],
-  cassandra_client    : "com.datastax.cassandra:cassandra-driver-core:$cassandraClientVersion",
-  codahale_metrics    : [ "io.dropwizard.metrics:metrics-core:$codahaleMetricsVersion",
-                          "io.dropwizard.metrics:metrics-healthchecks:$codahaleMetricsVersion"
],
-  commons_dbcp        : "org.apache.commons:commons-dbcp2:$commonsDbcpVersion",
-  commons_lang        : "org.apache.commons:commons-lang3:$commonsLangVersion",
-  commons_validator   : "commons-validator:commons-validator:$commonsValidatorVersion",
-  ehcache             : "org.ehcache:ehcache:$ehcacheVersion",
-  elasticsearch       : [ "org.elasticsearch:elasticsearch:$elasticsearchVersion",
-                          "org.elasticsearch.client:transport:$elasticsearchVersion",
-                          // Elasticsearch 5.0 do not work with log4j 2.7
-                          "org.apache.logging.log4j:log4j-api:2.8.2",
-                          "org.apache.logging.log4j:log4j-core:2.8.2" ],
-  freemarker          : "org.freemarker:freemarker:$freemarkerVersion",
-  geode               : "org.apache.geode:geode-core:$geodeVersion",
-  groovy              : "org.codehaus.groovy:groovy-all:$groovyVersion",
-  hazelcast           : "com.hazelcast:hazelcast:$hazelcastVersion",
-  http_client         : "org.apache.httpcomponents:httpclient:$httpClientVersion",
-  jackson_mapper      : "com.fasterxml.jackson.core:jackson-databind:$jacksonVersion",
-  jaxb_api            : "javax.xml.bind:jaxb-api:$jaxbApiVersion",
-  jclouds_core        : "org.apache.jclouds:jclouds-core:$jcloudsVersion",
-  jclouds_blobstore   : "org.apache.jclouds:jclouds-allblobstore:$jcloudsVersion",
-  jclouds_filesystem  : "org.apache.jclouds.api:filesystem:$jcloudsVersion",
-  jetty_server        : "org.eclipse.jetty:jetty-server:$jettyVersion",
-  jetty_webapp        : "org.eclipse.jetty:jetty-webapp:$jettyVersion",
-  jetty_servlet       : "org.eclipse.jetty:jetty-servlet:$jettyVersion",
-  jetty_http          : "org.eclipse.jetty:jetty-http:$jettyVersion",
-  jetty_io            : "org.eclipse.jetty:jetty-io:$jettyVersion",
-  jetty_jmx           : "org.eclipse.jetty:jetty-jmx:$jettyVersion",
-  jetty_security      : "org.eclipse.jetty:jetty-security:$jettyVersion",
-  jetty_jsp           : "org.eclipse.jetty:jetty-jsp:$jettyVersion",
-  jetty_util          : "org.eclipse.jetty:jetty-util:$jettyVersion",
-  jetty_continuation  : "org.eclipse.jetty:jetty-continuation:$jettyVersion",
-  jetty_client        : "org.eclipse.jetty:jetty-client:$jettyVersion",
-  jetty_xml           : "org.eclipse.jetty:jetty-xml:$jettyVersion",
-  johnzon             : "org.apache.johnzon:johnzon-core:$johnzonVersion",
-  jooq                : "org.jooq:jooq:$jooqVersion",
-  jdbm                : "jdbm:jdbm:$jdbmVersion",
-  jedis               : "redis.clients:jedis:$jedisVersion",
-  leveldb_api         : "org.iq80.leveldb:leveldb-api:$leveldbVersion",
-  leveldb_java        : "org.iq80.leveldb:leveldb:$leveldbVersion",
-  leveldb_jni_all     : "org.fusesource.leveldbjni:leveldbjni-all:$leveldbJniVersion",
-  liquibase           : "org.liquibase:liquibase-core:$liquibaseVersion",
-  mongodb             : "org.mongodb:mongo-java-driver:$mongodbVersion",
-  msgpack             : "org.msgpack:msgpack-core:$msgpackVersion",
-  osgi_compendium     : "org.osgi:org.osgi.compendium:$osgiVersion",
-  osgi_enterprise     : "org.osgi:org.osgi.enterprise:$osgiVersion",
-  restlet             : [ "org.restlet.jee:org.restlet:$restletVersion",
-                          "org.restlet.jee:org.restlet.ext.atom:$restletVersion",
-                          "org.restlet.jee:org.restlet.ext.servlet:$restletVersion",
-                          "org.restlet.jee:org.restlet.ext.slf4j:$restletVersion" ],
-  restlet_xml         : "org.restlet.jee:org.restlet.ext.xml:$restletVersion",
-  riak                : "com.basho.riak:riak-client:$riakVersion",
-  servlet_api         : "javax.servlet:javax.servlet-api:$servletVersion",
-  sesame              : [ "org.openrdf.sesame:sesame-model:$rdfVersion",
-                          "org.openrdf.sesame:sesame-queryparser-sparql:$rdfVersion",
-                          "org.openrdf.sesame:sesame-repository-dataset:$rdfVersion",
-                          "org.openrdf.sesame:sesame-repository-http:$rdfVersion",
-                          "org.openrdf.sesame:sesame-rio-api:$rdfVersion",
-                          "org.openrdf.sesame:sesame-rio-n3:$rdfVersion",
-                          "org.openrdf.sesame:sesame-rio-ntriples:$rdfVersion",
-                          "org.openrdf.sesame:sesame-rio-rdfxml:$rdfVersion",
-                          "org.openrdf.sesame:sesame-rio-trig:$rdfVersion",
-                          "org.openrdf.sesame:sesame-rio-trix:$rdfVersion",
-                          "org.openrdf.sesame:sesame-rio-turtle:$rdfVersion",
-                          "org.openrdf.sesame:sesame-sail-api:$rdfVersion",
-                          "org.openrdf.sesame:sesame-sail-memory:$rdfVersion",
-                          "org.openrdf.sesame:sesame-sail-nativerdf:$rdfVersion",
-                          "org.openrdf.sesame:sesame-sail-rdbms:$rdfVersion" ],
-  shiro               : "org.apache.shiro:shiro-core:$shiroVersion",
-  shiro_web           : "org.apache.shiro:shiro-web:$shiroVersion",
-  slf4j_api           : "org.slf4j:slf4j-api:$slf4jVersion",
-  solr                : [ "org.apache.solr:solr-core:$solrVersion",
-                          "org.apache.solr:solr-solrj:$solrVersion" ],
-  sparql              : [ "org.openrdf.sesame:sesame-queryresultio-sparqlxml:$rdfVersion",
-                          "org.openrdf.sesame:sesame-queryresultio-sparqljson:$rdfVersion"
],
-  spring_core         : [ "org.springframework:spring-beans:$springVersion",
-                          "org.springframework:spring-context:$springVersion" ],
-  spymemcached        : "net.spy:spymemcached:$spymemcachedVersion",
-  velocity            : "org.apache.velocity:velocity:$velocityVersion",
+        bdb_je            : "com.sleepycat:je:$bdbjeVersion",
+        bonecp            : "com.jolbox:bonecp:$bonecpVersion",
+        bouncy_castle     : [
+                "org.bouncycastle:bcprov-jdk15on:$bouncyVersion",
+                "org.bouncycastle:bcpkix-jdk15on:$bouncyVersion",
+                "org.bouncycastle:bctls-jdk15on:$bouncyVersion"
+        ],
+        cassandra_client  : "com.datastax.cassandra:cassandra-driver-core:$cassandraClientVersion",
+        codahale_metrics  : ["io.dropwizard.metrics:metrics-core:$codahaleMetricsVersion",
+                             "io.dropwizard.metrics:metrics-healthchecks:$codahaleMetricsVersion"],
+        commons_dbcp      : "org.apache.commons:commons-dbcp2:$commonsDbcpVersion",
+        commons_lang      : "org.apache.commons:commons-lang3:$commonsLangVersion",
+        commons_validator : "commons-validator:commons-validator:$commonsValidatorVersion",
+        ehcache           : "org.ehcache:ehcache:$ehcacheVersion",
+        elasticsearch     : ["org.elasticsearch:elasticsearch:$elasticsearchVersion",
+                             "org.elasticsearch.client:transport:$elasticsearchVersion",
+                             // Elasticsearch 5.0 do not work with log4j 2.7
+                             "org.apache.logging.log4j:log4j-api:2.8.2",
+                             "org.apache.logging.log4j:log4j-core:2.8.2"],
+        freemarker        : "org.freemarker:freemarker:$freemarkerVersion",
+        geode             : "org.apache.geode:geode-core:$geodeVersion",
+        groovy            : "org.codehaus.groovy:groovy-all:$groovyVersion",
+        hazelcast         : "com.hazelcast:hazelcast:$hazelcastVersion",
+        http_client       : "org.apache.httpcomponents:httpclient:$httpClientVersion",
+        jackson_mapper    : "com.fasterxml.jackson.core:jackson-databind:$jacksonVersion",
+        jaxb_api          : "javax.xml.bind:jaxb-api:$jaxbApiVersion",
+        jclouds_core      : "org.apache.jclouds:jclouds-core:$jcloudsVersion",
+        jclouds_blobstore : "org.apache.jclouds:jclouds-allblobstore:$jcloudsVersion",
+        jclouds_filesystem: "org.apache.jclouds.api:filesystem:$jcloudsVersion",
+        jetty_server      : "org.eclipse.jetty:jetty-server:$jettyVersion",
+        jetty_webapp      : "org.eclipse.jetty:jetty-webapp:$jettyVersion",
+        jetty_servlet     : "org.eclipse.jetty:jetty-servlet:$jettyVersion",
+        jetty_http        : "org.eclipse.jetty:jetty-http:$jettyVersion",
+        jetty_io          : "org.eclipse.jetty:jetty-io:$jettyVersion",
+        jetty_jmx         : "org.eclipse.jetty:jetty-jmx:$jettyVersion",
+        jetty_security    : "org.eclipse.jetty:jetty-security:$jettyVersion",
+        jetty_jsp         : "org.eclipse.jetty:jetty-jsp:$jettyVersion",
+        jetty_util        : "org.eclipse.jetty:jetty-util:$jettyVersion",
+        jetty_continuation: "org.eclipse.jetty:jetty-continuation:$jettyVersion",
+        jetty_client      : "org.eclipse.jetty:jetty-client:$jettyVersion",
+        jetty_xml         : "org.eclipse.jetty:jetty-xml:$jettyVersion",
+        johnzon           : "org.apache.johnzon:johnzon-core:$johnzonVersion",
+        jooq              : "org.jooq:jooq:$jooqVersion",
+        jdbm              : "jdbm:jdbm:$jdbmVersion",
+        jedis             : "redis.clients:jedis:$jedisVersion",
+        leveldb_api       : "org.iq80.leveldb:leveldb-api:$leveldbVersion",
+        leveldb_java      : "org.iq80.leveldb:leveldb:$leveldbVersion",
+        leveldb_jni_all   : "org.fusesource.leveldbjni:leveldbjni-all:$leveldbJniVersion",
+        liquibase         : "org.liquibase:liquibase-core:$liquibaseVersion",
+        mongodb           : "org.mongodb:mongo-java-driver:$mongodbVersion",
+        msgpack           : "org.msgpack:msgpack-core:$msgpackVersion",
+        osgi_compendium   : "org.osgi:org.osgi.compendium:$osgiVersion",
+        osgi_enterprise   : "org.osgi:org.osgi.enterprise:$osgiVersion",
+        restlet           : ["org.restlet.jee:org.restlet:$restletVersion",
+                             "org.restlet.jee:org.restlet.ext.atom:$restletVersion",
+                             "org.restlet.jee:org.restlet.ext.servlet:$restletVersion",
+                             "org.restlet.jee:org.restlet.ext.slf4j:$restletVersion"],
+        restlet_xml       : "org.restlet.jee:org.restlet.ext.xml:$restletVersion",
+        riak              : "com.basho.riak:riak-client:$riakVersion",
+        servlet_api       : "javax.servlet:javax.servlet-api:$servletVersion",
+        sesame            : ["org.openrdf.sesame:sesame-model:$rdfVersion",
+                             "org.openrdf.sesame:sesame-queryparser-sparql:$rdfVersion",
+                             "org.openrdf.sesame:sesame-repository-dataset:$rdfVersion",
+                             "org.openrdf.sesame:sesame-repository-http:$rdfVersion",
+                             "org.openrdf.sesame:sesame-rio-api:$rdfVersion",
+                             "org.openrdf.sesame:sesame-rio-n3:$rdfVersion",
+                             "org.openrdf.sesame:sesame-rio-ntriples:$rdfVersion",
+                             "org.openrdf.sesame:sesame-rio-rdfxml:$rdfVersion",
+                             "org.openrdf.sesame:sesame-rio-trig:$rdfVersion",
+                             "org.openrdf.sesame:sesame-rio-trix:$rdfVersion",
+                             "org.openrdf.sesame:sesame-rio-turtle:$rdfVersion",
+                             "org.openrdf.sesame:sesame-sail-api:$rdfVersion",
+                             "org.openrdf.sesame:sesame-sail-memory:$rdfVersion",
+                             "org.openrdf.sesame:sesame-sail-nativerdf:$rdfVersion",
+                             "org.openrdf.sesame:sesame-sail-rdbms:$rdfVersion"],
+        shiro             : "org.apache.shiro:shiro-core:$shiroVersion",
+        shiro_web         : "org.apache.shiro:shiro-web:$shiroVersion",
+        slf4j_api         : "org.slf4j:slf4j-api:$slf4jVersion",
+        solr              : ["org.apache.solr:solr-core:$solrVersion",
+                             "org.apache.solr:solr-solrj:$solrVersion"],
+        sparql            : ["org.openrdf.sesame:sesame-queryresultio-sparqlxml:$rdfVersion",
+                             "org.openrdf.sesame:sesame-queryresultio-sparqljson:$rdfVersion"],
+        spring_core       : ["org.springframework:spring-beans:$springVersion",
+                             "org.springframework:spring-context:$springVersion"],
+        spymemcached      : "net.spy:spymemcached:$spymemcachedVersion",
+        velocity          : "org.apache.velocity:velocity:$velocityVersion",
 ]
 
 // Tools dependencies
@@ -176,9 +176,9 @@ def jgoodiesLooksVersion = '2.7.0'
 def pdfboxVersion = '2.0.6'
 def prefuseVersion = '1.0.1'
 dependencies.libraries << [
-  jgoodies_looks: "com.jgoodies:jgoodies-looks:$jgoodiesLooksVersion",
-  pdfbox        : "org.apache.pdfbox:pdfbox:$pdfboxVersion",
-  prefuse       : "de.sciss:prefuse-core:$prefuseVersion",
+        jgoodies_looks: "com.jgoodies:jgoodies-looks:$jgoodiesLooksVersion",
+        pdfbox        : "org.apache.pdfbox:pdfbox:$pdfboxVersion",
+        prefuse       : "de.sciss:prefuse-core:$prefuseVersion",
 ]
 
 // Runtime, Test and Samples dependencies
@@ -189,7 +189,7 @@ def easyMockVersion = '3.4'
 def h2Version = '1.4.196'
 def hamcrestVersion = '1.3'
 def jaxRsApiVersion = '2.0.1'
-def junitVersion = '4.12'
+def junit5Version = '5.1.1'
 def logbackVersion = '1.2.3' // TODO Replace with Apache Log4j 2
 def mockitoVersion = '2.8.47'
 def mysqlVersion = '6.0.6'
@@ -197,93 +197,89 @@ def postgresqlVersion = '42.1.4'
 def sqliteVersion = '3.19.3'
 def xmlUnitVersion = '2.3.0'
 dependencies.libraries << [
-  awaitility        : "org.awaitility:awaitility:$awaitilityVersion",
-  derby             : "org.apache.derby:derby:$derbyVersion",
-  dnsjava           : "dnsjava:dnsjava:$dnsJavaVersion",
-  docker_junit      : "com.github.tdomzal:junit-docker-rule:$dockerJUnitVersion",
-  easymock          : "org.easymock:easymock:$easyMockVersion",
-  h2                : "com.h2database:h2:$h2Version",
-  hamcrest          : [ "org.hamcrest:hamcrest-core:$hamcrestVersion",
-                        "org.hamcrest:hamcrest-library:$hamcrestVersion" ],
-  junit             : "junit:junit:$junitVersion",
-  logback           : "ch.qos.logback:logback-classic:$logbackVersion",
-  mockito           : "org.mockito:mockito-core:$mockitoVersion",
-  mysql_connector   : "mysql:mysql-connector-java:$mysqlVersion",
-  postgres          : "org.postgresql:postgresql:$postgresqlVersion",
-  spring_testsupport: "org.springframework:spring-test:$springVersion",
-  sqlite            : "org.xerial:sqlite-jdbc:$sqliteVersion",
-  xmlunit           : "org.xmlunit:xmlunit-matchers:$xmlUnitVersion",
+        awaitility        : "org.awaitility:awaitility:$awaitilityVersion",
+        derby             : "org.apache.derby:derby:$derbyVersion",
+        dnsjava           : "dnsjava:dnsjava:$dnsJavaVersion",
+        docker_junit      : "com.github.tdomzal:junit-docker-rule:$dockerJUnitVersion",
+        easymock          : "org.easymock:easymock:$easyMockVersion",
+        h2                : "com.h2database:h2:$h2Version",
+        hamcrest          : ["org.hamcrest:hamcrest-core:$hamcrestVersion",
+                             "org.hamcrest:hamcrest-library:$hamcrestVersion"],
+        junit             : [
+                "org.junit.jupiter:junit-jupiter-api:$junit5Version",
+                "org.junit.jupiter:junit-jupiter-params:$junit5Version",
+                "org.junit.vintage:junit-vintage-engine:$junit5Version"
+        ],
+        logback           : "ch.qos.logback:logback-classic:$logbackVersion",
+        mockito           : "org.mockito:mockito-core:$mockitoVersion",
+        mysql_connector   : "mysql:mysql-connector-java:$mysqlVersion",
+        postgres          : "org.postgresql:postgresql:$postgresqlVersion",
+        spring_testsupport: "org.springframework:spring-test:$springVersion",
+        sqlite            : "org.xerial:sqlite-jdbc:$sqliteVersion",
+        xmlunit           : "org.xmlunit:xmlunit-matchers:$xmlUnitVersion",
 ]
 
 // Default dependencies
 dependencies.defaultDependencies << [
-  testImplementation: [ dependencies.libraries.junit, dependencies.libraries.hamcrest ]
+        testImplementation: [dependencies.libraries.junit, dependencies.libraries.hamcrest]
 ]
 
 // Resolution rules
 dependencies.dependencySubstitutionSpec = { DependencySubstitution substitution, ModuleComponentSelector
dep ->
-  // Always resolve ASM to the same version
-  if( dep.group == 'org.ow2.asm' )
-  {
-    substitution.useTarget group: dep.group, name: dep.module, version: asmVersion
-  }
-  // Always resolve OSGi to the same version
-  else if( dep.group == 'org.osgi' )
-  {
-    substitution.useTarget group: dep.group, name: dep.module, version: osgiVersion
-  }
-  // Always resolve SLF4J to the same version
-  else if( dep.group == 'org.slf4j' )
-  {
-    substitution.useTarget group: dep.group, name: dep.module, version: slf4jVersion
-  }
-  // Always resolve Jackson to the same version
-  else if( dep.group.startsWith( 'com.fasterxml.jackson' ) && dep.module != 'jackson-parent'
)
-  {
-    substitution.useTarget group: dep.group, name: dep.module, version: jacksonVersion
-  }
-  // Always resolve JAX-RS API to the same version
-  else if( [ 'jaxrs-api', 'jsr311-api', 'javax.ws.rs-api' ].contains( dep.module ) )
-  {
-    substitution.useTarget group: 'javax.ws.rs', name: 'javax.ws.rs-api', version: jaxRsApiVersion
-  }
-  // woodstox:wstx-asl is broken (no pom), use org.codehaus.woodstox:wstx-asl instead
-  else if( dep.group == 'woodstox' && dep.module == 'wstx-asl' )
-  {
-    substitution.useTarget group: 'org.codehaus.woodstox', name: 'wstx-asl', version: dep.version
-  }
-  // some bad citizens have SNAPSHOT parents ...
-  else if( dep.module == 'commons-sandbox-parent' && dep.version == '3-SNAPSHOT'
)
-  {
-    substitution.useTarget group: dep.group, name: dep.module, version: '3'
-  }
-  // Findbugs Annotation is LGPL, use https://github.com/stephenc/findbugs-annotations which
is
-  // Apache 2 licensed instead
-  else if( dep.group == 'net.sourceforge.findbugs' && dep.module == 'annotations'
)
-  {
-    substitution.useTarget group: 'com.github.stephenc.findbugs', name: 'findbugs-annotations',
version: '1.3.9-1'
-  }
+    // Always resolve ASM to the same version
+    if (dep.group == 'org.ow2.asm') {
+        substitution.useTarget group: dep.group, name: dep.module, version: asmVersion
+    }
+    // Always resolve OSGi to the same version
+    else if (dep.group == 'org.osgi') {
+        substitution.useTarget group: dep.group, name: dep.module, version: osgiVersion
+    }
+    // Always resolve SLF4J to the same version
+    else if (dep.group == 'org.slf4j') {
+        substitution.useTarget group: dep.group, name: dep.module, version: slf4jVersion
+    }
+    // Always resolve Jackson to the same version
+    else if (dep.group.startsWith('com.fasterxml.jackson') && dep.module != 'jackson-parent')
{
+        substitution.useTarget group: dep.group, name: dep.module, version: jacksonVersion
+    }
+    // Always resolve JAX-RS API to the same version
+    else if (['jaxrs-api', 'jsr311-api', 'javax.ws.rs-api'].contains(dep.module)) {
+        substitution.useTarget group: 'javax.ws.rs', name: 'javax.ws.rs-api', version: jaxRsApiVersion
+    }
+    // woodstox:wstx-asl is broken (no pom), use org.codehaus.woodstox:wstx-asl instead
+    else if (dep.group == 'woodstox' && dep.module == 'wstx-asl') {
+        substitution.useTarget group: 'org.codehaus.woodstox', name: 'wstx-asl', version:
dep.version
+    }
+    // some bad citizens have SNAPSHOT parents ...
+    else if (dep.module == 'commons-sandbox-parent' && dep.version == '3-SNAPSHOT')
{
+        substitution.useTarget group: dep.group, name: dep.module, version: '3'
+    }
+    // Findbugs Annotation is LGPL, use https://github.com/stephenc/findbugs-annotations
which is
+    // Apache 2 licensed instead
+    else if (dep.group == 'net.sourceforge.findbugs' && dep.module == 'annotations')
{
+        substitution.useTarget group: 'com.github.stephenc.findbugs', name: 'findbugs-annotations',
version: '1.3.9-1'
+    }
 }
 
 // NodeJS
 dependencies.nodeVersions << [
-    node: '6.10.2',
-    npm: '4.4.4'
+        node: '6.10.2',
+        npm : '4.4.4'
 ]
 
 // Build Tools
 dependencies.buildToolsVersions << [
-  jacoco: '0.7.9'
+        jacoco: '0.7.9'
 ]
 
 // Docker Images
 dependencies.dockerImagesVersions << [
-  cassandra: 'cassandra:3.10',
-  memcached: 'memcached:1.4.39-alpine',
-  mariadb  : 'mariadb:10.1.21',
-  mongo    : 'mongo:3.5.10',
-  postgres : 'postgres:9.6.3-alpine',
-  redis    : 'redis:4.0.0-alpine',
-  riak     : 'basho/riak-kv:ubuntu-2.2.3',
-  s3server : 'scality/s3server:mem-bb2a38c0'
+        cassandra: 'cassandra:3.10',
+        memcached: 'memcached:1.4.39-alpine',
+        mariadb  : 'mariadb:10.1.21',
+        mongo    : 'mongo:3.5.10',
+        postgres : 'postgres:9.6.3-alpine',
+        redis    : 'redis:4.0.0-alpine',
+        riak     : 'basho/riak-kv:ubuntu-2.2.3',
+        s3server : 'scality/s3server:mem-bb2a38c0'
 ]

http://git-wip-us.apache.org/repos/asf/polygene-java/blob/1adfa573/manual/src/docs/website/xsl/chunked.xsl
----------------------------------------------------------------------
diff --git a/manual/src/docs/website/xsl/chunked.xsl b/manual/src/docs/website/xsl/chunked.xsl
index 4f76ff3..f5a09a4 100644
--- a/manual/src/docs/website/xsl/chunked.xsl
+++ b/manual/src/docs/website/xsl/chunked.xsl
@@ -72,7 +72,7 @@
   <xsl:template name="header.navigation">
     <div class="logo">
       <a href="index.html">
-        <img src="images/logo-standard.png"/>
+        <img src="images/logo-standard.png" style="width:80%;height:80%; padding-top:20px;"/>
       </a>
     </div>
 


Mime
View raw message